Bug 74953 - etc/fonts/fonts.conf should contain same dirs as /etc/X11/fs/config
etc/fonts/fonts.conf should contain same dirs as /etc/X11/fs/config
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: Xft (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-02 22:51 EDT by Chris Hubick
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-02 22:51:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Hubick 2002-10-02 22:51:51 EDT
True Type fonts, for example, in the /usr/X11R6/lib/X11/fonts/TTF/ directory are
not used by XFT, as that directory is not listed in fonts.conf. fonts.conf
should, by default, contain the same directories as listed in /etc/X11/fs/config
when said directories fonts are supported by both systems.
Comment 1 Owen Taylor 2002-10-03 12:17:49 EDT
The font in /usr/X11R6/lib/X11/fonts/TTF/ are deliberately excluded
because they duplicate the fonts in /usr/X11R6/lib/X11/fonts/Type1,
but are rendered worse.

If you are installing custom fonts, they should go in /usr/share/fonts.

Note You need to log in before you can comment on or make changes to this bug.